%global debug_package %{nil}
Name:           workerd
Version:        1.20250605.0
Release:        1%{?dist}
Summary:        The JavaScript / Wasm runtime that powers Cloudflare Workers 

License:        Apache License 2.0
URL:            https://blog.cloudflare.com/workerd-open-source-workers-runtime/
%undefine   _disable_source_fetch
Source0:        https://github.com/cloudflare/workerd/archive/refs/tags/v%{version}.tar.gz
Patch0:         0001-bazel-build-for-rocky-linux-9.patch
BuildRequires:  epel-release,git,patch,tcl,clang19,clang19-devel,lld19,bazel,llvm18-libs
#Requires:       

%description
workerd (pronounced: "worker-dee") is a JavaScript / Wasm server runtime based on the same code that powers Cloudflare Workers.
You might use it:
    As an application server, to self-host applications designed for Cloudflare Workers.
    As a development tool, to develop and test such code locally.
    As a programmable HTTP proxy (forward or reverse), to efficiently intercept, modify, and route network requests.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
echo "build:linux --action_env=CC=/usr/bin/clang-19" >> .bazelrc
echo "build:linux --host_action_env=CC=/usr/bin/clang-19" >> .bazelrc

%build
bazel build --config=release_linux //src/workerd/server:workerd


%install
rm -rf $RPM_BUILD_ROOT
install -d -m 0755 $RPM_BUILD_ROOT/usr/local/bin
install -p -m 0755 bazel-bin/src/workerd/server/workerd $RPM_BUILD_ROOT/usr/local/bin/%{name}



%files
%doc README.md RELEASE.md
%license LICENSE
/usr/local/bin/%{name}

# %changelog
